Subject: [OPS-NM] Minutes of the OPS Area open meetings in Prague - FINAL VERSION?

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Thu, 12 Apr 2007 14:48:23 +0300

Unless I missed some mails during my vacation, I did not record any further feedback to this version. 

Going once ...
Going twice ...
(but not later than this weekend, please)

Dan

-------------------------------------------------------------------------------

Meeting 1 - Monday March 19, 2007 15:20 to 17:20 

1. Meeting Administrivia

2. Introduction of new Area Director - Ron Bonica 

Dan - thanking David Kessens for his years of service as Area Director

3. Mini-BOF A: - Manageability and Operational Guidelines - David Harrington 

http://www3.ietf.org/proceedings/07mar/slides/opsarea-1.ppt

Discussions about the structure of the document - should the protocol evaluation be part of the document? 

4. Mini-BOF B: COPS push mode policy configuration - Tom Taylor and Tina Tsou  

http://www3.ietf.org/proceedings/07mar/slides/opsarea-3.ppt

Sharon Chisholm: why COPS? because COPS is (apparently) going away 
Unidentified : working at the ITU-T, still some interest 
Kevin Johnson: in the draft, not quite clear if a new message was used.
Tom: draft proposes a new message but could also use a flag, which is the less violent solution. Discussion of the collision of handles
Dbh: there are two questions to answer.
question 1: is COPS going away? Worth it? Little update in the industry. Should this be part of the manageability work (his mini-BOF)? Should we move COPS to experimental or not recommended? question 2: technical decision whether change is the right one?
Scott Bradner: Answer Dave's first question. some enthusiasm for COPS at the  beginning, then faded away. Interest in ITU. The ITU-T is using a few protocols including DIAMETER and COPS from the IETF that require some extensions. If another non-IETF group wants to use COPS, why stand in their way?
Dave: "I can agree with that; somebody once said that the IETF doesn't produce standards, but technologies; other organizations produce standards"
Dan (to Tom): what is your preferred solution? 
Tom: A standard document with the COPS update . ITU and IETF would progress this in parallel (approve in ITU-T as an annex), and then have IETF (tweak and) approve it, and then update ITU-T to reference the RFC.
Scott: This parallel approach has been problematic in the past. It should either be done in ITU or in IETF, but not both.
Tina: I think this can be done
Dan: another approach is that the ITU-T can publish an Informational document. I do not want to take a position at this point. ITU should also consider what happens
Dave Partain: I think there will be little energy to do this in the IETF, so it should be done in ITU.
Bert: I do not know if COPS-PR is being used or not; I know I do not want to spend time working on COPS-PR. Is anybody interested in working on it (including review any work done by ITU?)
Tom: Does anybody work for an organization that uses COPS-PR? 
One person raised their hands (Tina Tsou from Huawei)
Tom: Is there any interest in working on COPS-PR extensions? 
Dan: these questions should be asked on the OPS lists and ITU lists.
Should it be standards track? - the authors would like it so. 
Action item - Tom to address the ops-area list with query to determine status of implementation and deployment of COPS and COPS-PR and level of interest in participating in such a work

5. Mini-BOF C: Best Current Practices in Operations and Management - David Harrington  

http://www3.ietf.org/proceedings/07mar/slides/opsarea-2.ppt

Proposal to create operation capabilities working group, modeled on the experience of opsec WG
Would bring in operators experience
Framework document and operational guidelines as principal output
Is opsec a success story? 
Straw poll indicates interest - continue discussion after the next item

6. Improved Efficiency of the OPS Area - proposal for the formation of a OPS Area WG - ADs 

David and Dan - create structure for OPS area, similar to the one existing in TSV and Routing
Should it be merged with OPS and management capabilities WG as suggested by David H.? 
TSV chair - success in Transport due to multiple small items, no dominant item
Straw poll indicates interest - nobody believes it's a bad idea, continue discussions in net meeting

7. Open Microphone 

Meeting 2 - Wednesday March 21, 2007 - 13:00 to 16:10 

1. Meeting Administrivia ADs (total: 5 min) 

2. Mini-BOF D: NE/facilities/lines/protocols/services data modeling - Michael Alexander 

http://www3.ietf.org/proceedings/07mar/slides/opsarea-4.ppt

Scott Bradner - very complex, IETF not good history in this type of thing
Pekka - benefit would go to NMS vendors?
response - benefit to equipment vendors to get devices into NMSs
Pekka - simpler version may be helpful, clean terminology would be helpful potential but current scope too big, maybe more fit to the IRTF
Margret Wassermann - interesting, but what gets standardized?
response - focus on meta models only
xx - sim  (info model) underway for 4 years - achieved meta view, now time to distribute to groups to use
response - this proposal is much simpler than sim

Chair: suggest create list & discuss issues raised in meeting, only one opposed

3. MIB-Doctor-sponsored MIB-document-writing template: David Harrington 

http://www3.ietf.org/proceedings/07mar/slides/opsarea-8.ppt

No discussions

4. Mini-BOF E: MIB module editing in XML : Emile Stephan  

http://www3.ietf.org/proceedings/07mar/slides/opsarea-5.ppt

Sharon - do you actually have tools to translate XML to MIBs?
response - I'm proposing to edit the MIB in XML and use XSL transformation.
Sharon - do you do SMI verification?
Emile: Shows that the tool captures mistakes.
Bill Fenner - wrong way to model MIB in XML - better to have element that is syntax or XML schema for writing a MIB
response - I'm using XML in a very loose way, but this is better than nothing. Please make better proposal.
Juergen - The opening argument in the beginning you wanted to move to data model. The main issue is not syntactic problem to get there.
response -  I asked for a BOF in order to discuss and have proposals of how to move forward

chair - does not feel that it's a standards problem at this time but maybe should be discussed with tools people

5. Mini-BOF F: Japanese Data Model Standards: Tomoyuki Iijima 

http://www3.ietf.org/proceedings/07mar/slides/opsarea-6.ppt

- proposed goal for NGO
Sharon - why select VLANs?
response - well used technology in enterprise space
chair - MIB modules are used for VLAN config in enterprises - good to see comparison between SNMP & netconf 

chair - In Chicago we will have one or two BOFs for data modeling. This contribution belongs to this space. Encourage to continue the work, update the I-D and bring proposals to the NGO work.

6. Mini-BOF G: OWL techniques for MIB to XML documents and schema translation - Bob Natale 

http://www3.ietf.org/proceedings/07mar/slides/opsarea-7.ppt

Andy Bierman - there are issues beyond mere translations - suggests that experts in a protocol would need to be involved in determining if conversion can even be done
Scott Bradner - how fill in holes (beyond what MIB covers)
bob - would need to have collaborative process for each MIB
	
chair - good to invite WS-CIM folk to join discussion
Sharon xx - may be mismatch between MIBs and service-orientated interface - also may be too high a data bandwidth generated for SOA/WS  management stations
Bob - yes an issue
Sharon - how much interest in WS community
Bob - much need among user & developer communities 
Dan Romascanu (from floor) - not sure that this fits the base role of the IETF - make net work better
Bob - this will help the operators run the network better
Eugene - spent years in WS area - high level seems to be good - but WS seems to rely on different fundamental information needs than what is in MIBs - also some groups in this area do not like each  other (OAIS & DMTF for example).  The other is political. Are the two standard bodies can really work together in the long term?
xx - good idea & he is optimistic that this would be useful - but there are valid concerns about level of impact on the other communities

chair - open list for discussion, consensus in the room

7. Late Submission - requirements to tunneling protocols OAM - KIKUCHI Yutaka 

Pekka - why is this tunnel specific? Only reordering is
response - Our main objective is to measure tunnel quality.
Chair - Maybe the next version of the draft you may need to better clarify what is tunnel quality, to emphasis the difference between interface and tunnel interface
Scott Bradner - if you prepend seq # you change packet size you may have to fragment
Response - I used GRE sequence number (32 bits). Good, if you prepend sequence number you may get into segmentation situation.

chair -We'll continue to discuss this on the list, gauge interest and answer the questions. I forwarded this to IPPM and benchmarking WG.

Tries to sense the interest in the room: 4-5 hands. Is this not relevant? None

8. Open microphone  

Margaret: The topics today were interesting. But interesting is not good enough. We have really bad history of trying to standardize management approaches that were not really needed by service providers. We much work only on what users really need.
Dan: We split the OPS session to two days. Today's is more the 'new'
issues. We need more feedback from operators. Work in the past lead to NETCONF etc.
Dave K.: We haven't allowed BOFs for the last few IETF being strict to ensure that ideas that are not really required will not go forward.
However we felt that we may miss some good ideas from going forward.
Bob: To answer Margaret. I wanted to stress in my presentation that there are operators and users that need the data models. What do you want that shows this need.
Margaret: I want them to be here and participate. If we don' t have multiple sources of input.
David Partain: I'd like to address Margaret point. There has been a lot of discussions on data modeling. This is a real problem, since everyone wants to use NETCOM but there is not any data models. Our users want NETCONF. I think this is fair to characterizing it as real need.
Margeret: Are you the customer of the data model
David: Me and my customer.
Ron B.: Maybe we should go to the operators and ask what are the most critical problems and start from that, i.e. solve this first. When he was a operator he would not have seen the issue as a lack of a data model - rather why does pager go off - should keep doing this kind of thing but should try to get closer to userâ€™s actual perceived needs
Andy: I don't believe it is possible to have a protocol independent data model. We don't have the expertise in web verbs etc. You should do the work. I agree with Scott that we don't have a way to fill in the holes.
Dave H: Addressing Margaret point. I'm going to have a workgroup meeting to understand their needs. Are there any operators  in the rooms? ~ 5 hands. on Monday he proposed an ops nm WG to get operators involved - looking for volunteers to help ops area better understand operator needs, also - operations & managements guidelines doc - also ooking for volunteers for that
Bob: We might have minimum basic requirements for conversion of MIBs. But most MIBs should be map-able.
Dave K.: Is the experiment with the mini-BOF useful? Around 30 hands
Who thinks this is not useful? None
Dan: Regarding Dave H suggestion for two working groups, I suggest that we unite it into one working group.
Dave H: I think these are two different problems and should be done by two different contributor groups. Protocol designers and Operators.
Dan: I agree, but work generates feedback and input generates work. My concern that split of resources and that there will not be enough interest if we split it to two.
Dave K: From the operator part we don't want to be too lonely… The important thing is to have a good charter for the working group.
Ron B: New WG chair. Applause to Dave K. I work for Juniper. I was an operator in the VBNS network. Looking forward to work with you all.

_______________________________________________
OPS-NM mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ops-nm